/* Shared Help Texts

   OperStats - Copyright (c) 2000-2001 Darcy Grexton
   Contact: cygnus@uniserve.ca, skold @ HabberNet, ICQ #6285178

   This program is free but copyrighted software; see the file COPYING
   for details.
 */

static const char *shared_oper_help[] =
{
    "\2AUTH\2            Authenticate as an SRA",
    NULL
};

static const char *shared_sra_help[] =
{
    "\2DEAUTH\2          De-Authenticate as an SRA",
    "\2SHUTDOWN\2        Terminate OperStats",
    "\2RESTART\2         Restart OperStats",
    "\2RAW\2             Send information to the uplink",
    "\2INJECT\2          Fake information from the uplink",
    "\2DEBUG\2           Set debugging level",
    "\2UPDATE\2          Force a database update",
    "\2REHASH\2          Re-Read " CONFIGFILE,
    "\2SETTINGS\2        Show various OperStats settings",
    NULL
};

static const char *auth_help[] =
{
    "Syntax: \2AUTH NickName Password\2",
    " ",
    "Allows you to authenticate for SRA access. Once you have",
    "authenticated, you will be recognized as an SRA until you",
    "disconnect from the network or \2DEAUTH\2.",
    " ",
    "Example: \2AUTH SRANick SRAPass\2",
    NULL
};
    
static const char *deauth_help[] =
{ 
    "Syntax: \2DEAUTH\2",
    " ",
    "Causes you to no longer be recognized as an SRA. You will",
    "need to re-\2AUTH\2 to regain SRA access.",
    " ",
    "Example: \2DEAUTH\2",
    NULL
};

static const char *shutdown_help[] =
{
    "Syntax: \2SHUTDOWN [NOSAVE] [Reason]\2",
    " ",
    "Causes OperStats to terminate. If you give the NOSAVE token,",
    "the DBs will not be saved. Otherwise, they will be updated before",
    "OperStats shuts down. If you give a reason, this will be used in a",
    "GlobOps and a log entry.",
    " ",
    "Examples: \2SHUTDOWN\2",
    "          \2SHUTDOWN NOSAVE Reason\2",
    "          \2SHUTDOWN Reason\2",
    NULL
};

static const char *restart_help[] =
{
    "Syntax: \2RESTART [Reason]\2",
    " ",
    "Causes OperStats to restart. If you give the NOSAVE token,",
    "the DBs will not be saved. Otherwise, they will be updated before", 
    "OperStats shuts down. If you give a reason, this will be used in a", 
    "GlobOps and a log entry.",
    " ",
    "Examples: \2RESTART\2",
    "          \2RESTART NOSAVE Reason\2",
    "          \2RESTART Reason\2",
    NULL
};

static const char *raw_help[] =
{
    "Syntax: \2RAW Data\2",
    " ",
    "Sends information to OperStats' uplink. Syntax is important.",
    "There is no limit to what you can do with \2RAW\2, provided",
    "your IRCd supports it.",
    " ",
    "The \2RAW\2 command is not supported in any way.",
    " ",
    "Examples: \2RAW SVSNICK OldNick NewNick :0\2",
    "          \2RAW :Global NOTICE $*.net :Hi everybody!\2",
    NULL
};

static const char *inject_help[] =
{
    "Syntax: \2INJECT Data\2",
    " ",
    "Fakes information from OperStats' uplink. Only certain information",
    "will be processed. See process.c for examples on what types of",
    "information will be processed. Note that misuse of this command",
    "(such as injecting a QUIT from a user) WILL cause OperStats to be",
    "desync'd from the network and may cause crashes.",
    " ",
    "The \2INJECT\2 command is not supported in any way.",
    " ",
    "Example: \2INJECT :User PRIVMSG StatServ :STATS\2",
    NULL
};
    
static const char *debug_help[] =
{
    "Syntax: \2DEBUG Level\2",
    " ",
    "Sets the debugging level. There are 4 debug mode levels:",
    " ",
    "\2Level 0\2: No debug logging (disabled)",
    "\2Level 1\2: All server<->server traffic is logged.",
    "\2Level 2\2: Some function calls are logged.",
    "\2Level 3\2: Both server<->server traffic and some function calls are logged",
    " ",
    "Logging will be done in debug.log, not " LOGFILE ".",
    " ",
    "Examples: \2DEBUG 0\2",
    "          \2DEBUG 1\2",
    "          \2DEBUG 2\2",
    "          \2DEBUG 3\2",  
    NULL
};

static const char *update_help[] =
{
    "Syntax: \2UPDATE\2",
    " ",
    "Forces OperStats to save the DBs to disk. This",
    "will also reset the sync timer.",
    " ",
    "Examples: \2UPDATE\2",   
    NULL
};

static const char *rehash_help[] =
{
    "Syntax: \2REHASH\2",   
    " ",
    "Re-Reads " CONFIGFILE ". If you have any invalid settings, this",
    "will cause OperStats to shut down. The DBs will be saved to disk",
    "beforehand in case this happens.",
    " ",
    "Example: \2REHASH\2",
    NULL
};

static const char *settings_help[] =
{
    "Syntax: \2SETTINGS\2",
    " ",
    "Shows various OperStats settings as defined in " CONFIGFILE ".",
    " ",
    "Example: \2SETTINGS\2",
    NULL
};
